import request from "@/utils/request";
const { api, imgApi, weApi } = process.env.CONFIG;



/**获取企微列表*/
export async function api_corpUser_allOfUser(userId: string) {
    return request({ url: `/corpUser/allOfUser/${userId}` })
}
/** 获取组员及组员账号列表 */
export async function getAdAccountAllOfMember() {
    return request({ url: api + '/erp/user/subUserWithSelf' })
}

/**创建通用分组*/
export async function api_post_common_group_create(data: any) {
    return request({
        url: '/corp/common/group/create',
        method: 'POST',
        data
    })
}
/**删除通用分组*/
export async function api_post_common_group_delete(data: any) {
    return request({
        url: '/corp/common/group/delete',
        method: 'DELETE',
        params: data
    })
}
/**查询通用分组*/
export async function api_get_common_group_list(data: any) {
    return request({
        url: '/corp/common/group/list',
        method: 'GET',
        params: data
    })
}
/**通用分组枚举*/
export async function api_get_common_group_type_enym(data: any) {
    return request({
        url: '/corp/common/group/type/enum',
        method: 'GET',
    })
}
/**更新通用分组*/
export async function api_patch_common_group_update(data: any) {
    return request({
        url: '/corp/common/group/update',
        method: 'PATCH',
        params: data
    })
}
/**获取企业下的标签列表全部*/
export async function api_get_external_tag_group_list(params: { corpId: string }) {
    return request({
        url: '/corp/external/tag/group/list',
        method: 'GET',
        params
    })
}

/**获取背景图ID列表*/
export async function api_get_img_typeList() {
    return request({
        url: imgApi + '/img/typeList',
        method: 'GET',
    })
}
/**获取背景图对应列表*/
export async function api_post_img_list(data: {
    id: string,
    page: string,
    pageSize: string
}) {
    return request({
        url: imgApi + '/img/list',
        method: 'POST',
        data
    })
}

/**
 * 获取Appid列表
 * @param data 
 * @returns 
 */
export async function getAppIdListApi(data: { pageNum: number, pageSize: number, appId: string }) {
    return request({
        url: '/sys/app/listOfPage',
        method: 'POST',
        data
    })
}
/**游戏列表*/
export async function api_get_gameList() {
    return request({
        url: weApi + '/gameRole/gameList',
        method: 'GET',
    })
}
/**游戏列表*/
export async function api_get_gameServerList(gameId: string | number) {
    return request({
        url: weApi + `/gameRole/serverList/${gameId}`,
        method: 'GET',
    })
}


/** 获取书城列表 */
export async function getBookPlatInfoAllApi() {
    return request({
        url: api + '/erp/bookPlatform/all',
        method: 'GET'
    })
}

/** 获取所有书 */
export async function getAllBookApi() {
    return request({
        url: api + '/erp/book/all',
        method: 'GET'
    })
}

// 所有游戏列表
export async function getGameListNewApi(data: { sourceSystem: string }) {
    return request({
        url: api + `/gameData/choice/game/list`,
        method: 'POST', 
        data 
    });
}