import React, { useContext, useState } from 'react';
import style from '../../index.less';
import { App, Button, Empty, Space, Upload } from 'antd';
import { DispatchTaskCreate } from '../..';
import dayjs from 'dayjs';
import '../../global.less'
import useNewToken from '@/Hook/useNewToken';
import { getGroupData, headerJsMustStyle, headerJsStyle, TIME_TYPE, welcomeContentData } from '../../const';
import ExcelJS from 'exceljs';
import FilterUserText from '@/pages/weComTask/components/filterUser/filterUserText';
import { RcFile } from 'antd/es/upload';
import { groupBy, readFileAsBuffer } from '@/utils/utils';
import { saveAs } from 'file-saver';

const Friends: React.FC = () => {

    /***************************************************/
    const { token } = useNewToken()
    const { message } = App.useApp()
    const { setSettings, settings, bookPlatForm, bookList, onPreviewReset } = useContext(DispatchTaskCreate)!;

    const [newVisible, setNewVisible] = React.useState(false);
    const [createType, setCreateType] = useState<'STRATEGY' | 'CONTENT'>()
    const [downloadLoading, setDownloadLoading] = useState<boolean>(false)
    /***************************************************/

    return <>
        <div className={`${style.settingsBody_content_row}`}>
            <div className={`${style.settingsBody_content_col}`}>
                <div className={style.title}>
                    <span>朋友圈</span>
                </div>
                <div className={style.detail}>
                    <div className={style.detail_title}>朋友圈策略配置</div>
                    <div className={style.detail_body}>
                        {/* {settings?.massSendingStrategy && Object.keys(settings?.massSendingStrategy).length > 0 ? <>
                            <PreviewMassSendingStrategy massSendingStrategy={settings?.massSendingStrategy} />
                        </> : <Empty image={Empty.PRESENTED_IMAGE_SIMPLE} />} */}
                    </div>
                </div>
                <div className={style.detail_footer}>
                    <Button type="link" style={{ padding: 0, fontSize: 12, color: token.colorPrimary }} size='small' onClick={() => { setNewVisible(true); setCreateType('STRATEGY') }}>编辑</Button>
                </div>
            </div>
            <div className={`${style.settingsBody_content_col}`}>
                <div className={style.title}>
                    <span></span>
                    {/* {(settings?.massSendingStrategy && Object.keys(settings?.massSendingStrategy).length > 0) && <Space>
                        {settings?.massSendingContent?.massSendingContentDTO?.some(item => item?.sendContentDto?.some(si => si?.contentDTO?.some(i => i?.attachmentList?.some(a => ['TASK_CONTENT_LINK', 'TASK_STATUS_MINIPROGRAM'].includes(a?.msgType))))) && <>
                            <Button
                                type="link"
                                style={{ padding: 0, fontSize: 12 }}
                                loading={downloadLoading}
                                onClick={() => { exportExcel() }}
                            >下载</Button>
                            <Upload
                                accept={'.xlsx'}
                                action="#"
                                showUploadList={false}
                                customRequest={() => { }}
                                beforeUpload={async (file: RcFile): Promise<any> => {
                                    readExcelContent(file)
                                    onPreviewReset()
                                }}
                            >
                                <Button
                                    type="link"
                                    style={{ padding: 0, fontSize: 12 }}
                                >{settings?.corpUsers?.every(item => item?.groupMsgContent?.length) ? 'Excel内容已上传，重新上传' : '上传Excel'}</Button>
                            </Upload>
                        </>}
                        <Button
                            type="link"
                            danger
                            style={{ padding: 0, fontSize: 12 }}
                            onClick={() => {
                                const corpUsers = settings?.corpUsers?.map(item => {
                                    delete item?.groupMsgContent
                                    return item
                                })
                                setSettings({
                                    ...settings,
                                    corpUsers,
                                    massSendingStrategy: undefined,
                                    massSendingContent: undefined
                                })
                                onPreviewReset()
                            }}
                        >清空</Button>
                    </Space>} */}
                </div>
                <div className={style.detail}>
                    <div className={style.detail_title}>朋友圈内容配置</div>
                    <div className={style.detail_body} style={{ padding: 0 }}>
                        {/* {settings?.massSendingContent && Object.keys(settings?.massSendingContent) ? <>
                            <ShowContent
                                strategySettings={settings?.massSendingStrategy?.strategySettings}
                                massSendingContent={settings?.massSendingContent}
                            />
                        </> : <Empty image={Empty.PRESENTED_IMAGE_SIMPLE} />} */}
                    </div>
                </div>
                <div className={style.detail_footer}>
                    <Button
                        type="link"
                        style={{ padding: 0, fontSize: 12, color: token.colorPrimary }}
                        size='small'
                        onClick={() => {
                            if (!(settings?.massSendingStrategy && Object.keys(settings?.massSendingStrategy))) {
                                message.error('请先配置策略')
                                return
                            }
                            setNewVisible(true); setCreateType('CONTENT')
                        }}
                    >编辑</Button>
                </div>
            </div>
        </div>

        {/* 模板配置 */}
        {/* {newVisible && <SettingsMassSending
            visible={newVisible}
            createType={createType}
            value={{
                massSendingContent: settings?.massSendingContent,
                massSendingStrategy: settings?.massSendingStrategy
            }}
            onClose={() => {
                setNewVisible(false)
            }}
            onChange={(values, type) => {
                const corpUsers = settings?.corpUsers?.map(item => {
                    delete item?.groupMsgContent
                    return item
                })
                if (!values?.massSendingContent && settings?.corpUsers?.some(item => item?.groupMsgContent?.length)) {
                    setSettings({
                        ...settings,
                        ...values,
                        corpUsers
                    })
                } else {
                    setSettings({
                        ...settings,
                        ...values,
                        corpUsers
                    })
                }

                if (type === 'OK') {
                    setNewVisible(false)
                }
                onPreviewReset()
            }}
        />} */}
    </>
};

export default Friends;